QualityArmory - Vehicles

 QualityArmory - Vehicles 2.0.8

No permission to download
Native Minecraft Version:
1.13
Tested Minecraft Versions:
  • 1.9
  • 1.10
  • 1.11
  • 1.12
  • 1.13
8fCYzwm.png

Quality Armory - Vehicles adds a variety of different cars, planes, boats, and helicopters.

This plugin uses the QualityArmory plugin to support all of the 3D models and multi-item system, using its resourcepack. However, if you do not want the guns from QA, you can disable them in the config and QualityArmoryVehicles will still work.

Supports updates (1.9 - 1.13)

Features:

  • Variety of pre-made cars, planes, helicopters, and boats.
  • Ability to add your own vehicles.
  • Passager system.
  • Terrain climbing system to handle small jumps
  • Sound system for engines.
  • Fuel system.
  • Per-Vehicle whitelist for player-owned vehicles.
  • Fully customizable.
  • More vehicles and systems will be added in future updates.
[!] I will not respond to bug fixes in the review section.[!]
If you are experiencing a problem with QAV, please report this issue in the Discussions tab or the Github page, including any errors you receive and whether you tried it on a clean server (with no other plugins installed). I will not respond to issues in the review section, so don't use it as a way to try to get faster responses.

Commands
:
  • /QAV give <vehicle> <player>: Gives a player a vehicle as an item
  • /QAV spawnVehicle <vehicle>: Spawns a vehicle instance at the player's location
  • /QAV removeNearbyVehicles <radius>: Removes all spawned vehicle instances within a radius of the player.

Permissions:
  • qualityarmoryvehicles.* : Gives access to all permissions.
  • qualityarmoryvehicles.admin : Gives access to all admin permissions,.
  • qualityarmoryvehicles.give : Allows player to use /qav give
  • qualityarmoryvehicles.spawn :Allows player to use /qav spawnVehicle
  • qualityarmoryvehicles.setaspassager :Allows player to use /qav setaspassager
  • qualityarmoryvehicles.removenearbyvehicles :Allows player to use /qav removenearbyvehicles
  • qualityarmoryvehicles.default: Gives access to all default commands. Added by default.
  • qualityarmoryvehicles.craft : (Planned) will allow players to craft vehicles. Added by default.
  • qualityarmoryvehicles.shop: Allows players to buy vehicles. Added by default.
  • qualityarmoryvehicles.use : Allows players to interact with vehicles. Added by default.
  • qualityarmoryvehicles.vehiclelimit.X : Limits the amount of vehicles a player can have spawned at one time (by default, all players are allowed 1)
  • qualityarmoryvehicles.unlimitedvehicles : Bypasses limit check
  • qualityarmoryvehicles.callback : Allowes players to call back all of their vehicles (either storing them in the player's garage or adding it back to the player's inventory)
  • qualityarmoryvehicles.callbackAll : Calls back all vehicles on the server.
  • qualityarmoryvehicles.candrive.XXX : If "enable_RequirePermsToDriveType" set to true, only players with that permission can drive the vehicle called "XXX" (Replace XXX with the vehicle's name).
  • qualityarmoryvehicles.overrideWhitelistCommand : Lets a user set the whitelist for a vehicle using commands.
  • qualityarmoryvehicles.usevehiclegui : Allows users to see a vehicle's GUI menu. Added by default.
Demo video:



NEW:
Raq4lXO.png

Includes...
nHjtNoa.png
HYvlOAN.png

8dSV2L9.png
E4PMEVK.png
khiRcbK.png
TlTyQP4.png
P7xJUJP.png

VVkywpb.png
wrcak2v.png
3iA3Nq0.png
ssPbLZn.png

AND MORE (It's tiring documenting all changes and additions, lol.)

Dependancies:
Quality Armory for the models and textures, and system for storing and sorting these models (Required) Note however, if you do not want the guns from QA, you can disable them in the config and QualityArmoryVehicles will still work.
ProtocolLib for handling the inputs for the player controls.

COMPATIBILITY ISSUES:
*NOTE* Since this plugin requires protocolLib, plugins and systems that do not support protocolLib (such as Subgr, or BungeeCord) will cause conflicts with this plugin. Do not buy this plugin if you have a required plugin or system that is incompatible with ProtocolLib.

Also note that for ViaVersion, 1.8 users will not be able to see the models, as resourcepacks did not have the ability to specify models for specific IDs in that update. All 1.9+ users, however, will be able to see it. You would just need to set "Auto-Detect-Resourcepack" to true in the /QualityArmory/config.yml file.
Author
LegitSpigot
Downloads
4,188
Views
7,445
Extention type
jar
File size
598.2 KB
Hash
4402e7da2733412c637a7d661deebbae
First release
Last update
Rating
4.23 star(s) 22 ratings

More resources from LegitSpigot

Latest updates

  1. 2.0.8

    2.0.8
  2. 2.2.0.7

    2.2.0.7
  3. 2.0.4.1

    2.0.4.1

Latest reviews

Best plugin for vehicles works for 1.18.1
Very nice ! Can you update please to 2.0.9 <3
Good plugin, but please update
good plugin
Nice plugin but i have a problem, how can i put my vehicle in the garage with SHIFT + RMB without receiving the vehicle in my inventory.
It needs an update for 1.14+

I'll change my rate if an update is leaked. It seems a good plugin btw !
upgtade pls
ProtocolLib installed, QualityArmory installed. When I am moving the console is spammed with java.lang.NoSuchMethodError: org.bukkit.inventory.meta.ItemMeta.hasCustomModelData()Z. I tried with Paper and the normal spigot, still the same error. Please, update it to 1.0.77, maybe this will solve the problem.
Thank you soo much for this update <3
Thank you so much for updating the resource pack! Please keep updating when a new update comes out!!! :))))
Top